Bug 85189 - llvm/invocation.cpp: In function 'void {anonymous}::optimize(llvm::Module*, unsigned int, const std::vector<llvm::Function*>&)': llvm/invocation.cpp:324:18: error: expected type-specifier
Summary: llvm/invocation.cpp: In function 'void {anonymous}::optimize(llvm::Module*, u...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2014-10-18 23:04 UTC by Vinson Lee
Modified: 2016-07-09 00:10 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-10-18 23:04:48 UTC
mesa: 15eb4c59f6504473989e6a064fda11d6c009ed8f (master 10.4.0-devel)

$ llvm-config --version
3.4.2

  CXX      llvm/libclllvm_la-invocation.lo
llvm/invocation.cpp: In function 'void {anonymous}::optimize(llvm::Module*, unsigned int, const std::vector<llvm::Function*>&)':
llvm/invocation.cpp:324:18: error: expected type-specifier
       PM.add(new llvm::DataLayoutPass(mod));
                  ^
Comment 1 Vinson Lee 2014-10-18 23:37:39 UTC
8e7df519bd8556591794b2de08a833a67e34d526 is the first bad commit
commit 8e7df519bd8556591794b2de08a833a67e34d526
Author: Tom Stellard <thomas.stellard@amd.com>
Date:   Thu Sep 25 09:23:17 2014 -0400

    clover: Add support for compiling to native object code v3
    
    v2:
      - Split build_module_native() into three separate functions.
      - Code cleanups.
    
    v3:
      - More cleanups.
    
    Reviewed-by: Francisco Jerez <currojerez@riseup.net>

:040000 040000 fc8e40f1b102c4ec2efe600c587cd1fb9d23b0a4 62884473adbc8895a1d85dc3d6ebf9c36559790f M	src
bisect run success
Comment 2 Vinson Lee 2014-10-24 04:03:16 UTC
commit 1ab6543431b5a4eaf589cdabf2227088dd62ce6f
Author: Vinson Lee <vlee@freedesktop.org>
Date:   Sun Oct 19 00:13:33 2014 -0700

    clover: Fix build error with LLVM 3.4.
    
    DataLayoutPass was added in LLVM 3.5 r202168, commit
    57edc9d4ff1648568a5dd7e9958649065b260dca "Make DataLayout a plain
    object, not a pass.".
    
    This patch fixes this build error with LLVM 3.4.
    
      CXX      llvm/libclllvm_la-invocation.lo
    llvm/invocation.cpp: In function 'void {anonymous}::optimize(llvm::Module*, unsigned int, const std::vector<llvm::Function*>&)':
    llvm/invocation.cpp:324:18: error: expected type-specifier
           PM.add(new llvm::DataLayoutPass(mod));
                      ^
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=85189
    Signed-off-by: Vinson Lee <vlee@freedesktop.org>
    Reviewed-by: Tom Stellard <thomas.stellard@amd.com>


bug/show.html.tmpl processed on Feb 26, 2017 at 07:40:48.
(provided by the Example extension).